Bug 134262 - RFE: Enable additional language setup post install
RFE: Enable additional language setup post install
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: system-config-language (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
: FutureFeature
Depends On:
Blocks: FC3Target FC4Target
  Show dependency treegraph
 
Reported: 2004-09-30 13:21 EDT by sangu
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-23 10:19:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
system-config-language in locale ko_KR.UTF-8 (17.81 KB, image/png)
2004-09-30 13:24 EDT, sangu
no flags Details

  None (edit)
Description sangu 2004-09-30 13:21:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20040929
Firefox/0.10

Description of problem:
To change locale, excute system-config-language.
But I can see only one language (current locale language) from
system-config-language.



Version-Release number of selected component (if applicable):
system-config-language-1.1.7-1

How reproducible:
Always

Steps to Reproduce:
1. Execute system-config-language.
2.
3.
    

Additional info:

cat /etc/sysconfig/i18n
LANG="ko_KR.UTF-8"
SUPPORTED="ko_KR.UTF-8:ko_KR:ko"
Comment 1 sangu 2004-09-30 13:24:00 EDT
Created attachment 104592 [details]
system-config-language in locale ko_KR.UTF-8
Comment 2 Paul Nasrat 2004-10-01 03:42:23 EDT
Did you select multiple supported languages at install?
Comment 3 sangu 2004-10-01 05:32:29 EDT
No. I select Korea at install.

So, Cann't I change language with system-config-language?
Comment 4 Paul Nasrat 2004-10-04 07:13:35 EDT
system-config-language is designed to change between
installed/supported locales.

At the moment anaconda language selection pulls in packages based on
language selection, so if you didn't select other languages packages
may not be installed. Fonts won't be guaranteed to be installed, etc
along with other i18n packages for things like KDE.

If you remove the SUPPORTED line you should get the full language
list.  I need to look at improving behaviour for future versions,
possibly checking via comps.

Note You need to log in before you can comment on or make changes to this bug.